<?
session_start();
  include("../../clases/BDConexion.php");
  include("../../clases/clsPer.php");
  include("../Funciones.php");
  include("../funcion/funciones.php");
  
  $objPer=new clsPer;
  $resultado=$objPer->getDocNum();
  $filas=$objPer->NextRow($resultado);
  	if($dni==""){
	$dni=$filas['valor_e'].$filas['valor'];
	$objPer->UpdateDocNum('dni',$filas['valor']);
	}
	if($lm!=""){
	$tipodoc="LM";
	$dociden_per=$lm;
	}	
	if($carnet!=""){
	$tipodoc="CARNET EXTRANJ.";
	$dociden_per=$carnet;
	}
	
	$nombre_p="codigo_personal";	
	$fnac_per=extraerfechamysql($fnac_per);
$existecod=$objPer->ExistePersonal($dociden_per);	
if($existecod==0){
//if($_FILES['file']['name']!=""){		
	/*$ruta='../../../fotos_per/'.$archivo;	
	unlink($ruta);*/
	$destino = '../../../fotos_per';
	copy($_FILES['file']['tmp_name'], $destino.'/'.$_FILES['file']['name']);		
	$objPer->registrarPersonalB1($cod_per,$appat_per,$apmat_per,$nom_per,$fnac_per,$cod_pais,$fono_per,$dni,$_FILES['file']['name'],$dir_per,$estcivil_per,$afp_per,$numafp_per1,$seguro_per,$email,$profesion,$ruc,$tipodoc,$vacunas,$pasaporte,$onp,$num_onp,$cod_emp,$lm,$carnet);  
	$objPer->UpdateParametro($nombre_p,$valor);
	
	while(list($clave,$valor)=each($familiar)){  
		$tipo_f=$valor[0];
		$nom_f=$valor[1];
		$appat_f=$valor[2];
		$apmat_f=$valor[3];
		$fnac_f=$valor[4];		
		$cod_f=$valor[5];
		$existe=$objPer->ExisteFamiliarCod($cod_f);
		if($existe==0){
		$objPer->registrarFamiliar($cod_f,$dni,$appat_f,$apmat_f,$nom_f,extraerfechamysql($fnac_f),$tipo_f);
		}
	}
	Redirigir("../cvp_registrar_contrato01.php?tipo=$tipo&des=$des&cod_emp=$cod_emp&borrar=$borrar&q=$q&tipodoc=$tipodoc&dociden_per=$dni&remu=1");	
/*}else{
	$objPer->updatePersonalB($appat_per,$apmat_per,$nom_per,$fnac_per,$cod_pais,$fono_per,$dociden_per,$archivo,$dir_per,$estcivil_per,$afp_per,$numafp_per1,$seguro_per,$email,$profesion,$ruc,$tipodoc,$vacunas,$pasaporte);  
	$objPer->UpdateParametro($nombre_p,$valor);
	
	while(list($clave,$valor)=each($familiar)){  
		$tipo_f=$valor[0];
		$nom_f=$valor[1];
		$appat_f=$valor[2];
		$apmat_f=$valor[3];
		$fnac_f=$valor[4];	
		$cod_f=$valor[5];	
		$existe=$objPer->ExisteFamiliarCod($cod_f);
		if($existe==0){
		$objPer->registrarFamiliar($cod_f,$dociden_per,$appat_f,$apmat_f,$nom_f,extraerfechamysql($fnac_f),$tipo_f);
		}
	}*/
	//Redirigir("../cvp_registrar_contrato.php?tipo=$tipo&des=$des&cod_emp=$cod_emp&borrar=$borrar&q=$q&tipodoc=$tipodoc&dociden_per=$dociden_per");
}else{
	Redirigir("cvp_mensaje_perso_existe.php?cod_per=$cod_per&appat_per=$appat_per&apmat_per=$apmat_per&nom_per=$nom_per&fnac_per=$fnac_per&cod_pais=$cod_pais&fono_per=$fono_per&dociden_per=$dociden_per&dir_per=$dir_per&estcivil_per=$estcivil_per&afp_per=$afp_per&numafp_per1=$numafp_per1&seguro_per=$seguro_per&email=$email&profesion=$profesion&ruc=$ruc&tipodoc=$tipodoc&vacunas=$vacunas&pasaporte=$pasaporte&onp=$onp&num_onp=$num_onp&cod_emp=$cod_emp");
} 
  
?>